Update station
curl --request PATCH \
--url https://api.example.com/charging-stations/{id} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"latitude": 0,
"longitude": 0,
"address": "<string>",
"placeId": "<string>",
"password": "<string>",
"groupId": 123
}
'import requests
url = "https://api.example.com/charging-stations/{id}"
payload = {
"name": "<string>",
"latitude": 0,
"longitude": 0,
"address": "<string>",
"placeId": "<string>",
"password": "<string>",
"groupId": 123
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
latitude: 0,
longitude: 0,
address: '<string>',
placeId: '<string>',
password: '<string>',
groupId: 123
})
};
fetch('https://api.example.com/charging-stations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"chargingStation": {
"id": 123,
"identifier": "<string>",
"name": "<string>",
"latitude": 123,
"longitude": 123,
"address": "<string>",
"placeId": "<string>",
"vendorName": "<string>",
"model": "<string>",
"serialNumber": "<string>",
"firmwareVersion": "<string>",
"lastBootAt": "2023-11-07T05:31:56Z",
"lastSeenAt": "2023-11-07T05:31:56Z",
"lastConnectedAt": "2023-11-07T05:31:56Z",
"lastDisconnectedAt": "2023-11-07T05:31:56Z",
"organizationId": 123,
"groupId": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"evses": [
{
"id": 123,
"evseId": 123,
"chargingStationId": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"connectors": [
{
"id": 123,
"connectorId": 123,
"statusDetail": "<string>",
"errorCode": "<string>",
"maxPower": 123,
"evseId": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}
],
"group": {
"id": 123,
"name": "<string>",
"description": "<string>",
"organizationId": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"online": true
}
}{
"status": 123,
"message": "<string>",
"type": "<string>",
"attributes": {}
}charging stations
Update station
Updates the registration data of a station.
PATCH
/
charging-stations
/
{id}
Update station
Path Parameters
Body
application/json
Response
Successful response
Show child attributes
Show child attributes
⌘I